summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/autogen.sh b/autogen.sh
index f8b38097f..d84acb12b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -41,12 +41,12 @@ test -f mount/mount.c || {
echo
DIE=1
}
-#(libtool --version) < /dev/null > /dev/null 2>&1 || {
-# echo
-# echo "You must have libtool-2 installed to generate util-linux build system."
-# echo
-# DIE=1
-#}
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool-2 installed to generate util-linux build system."
+ echo
+ DIE=1
+}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to generate util-linux build system."
@@ -54,11 +54,11 @@ test -f mount/mount.c || {
DIE=1
}
-#ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
-#test ${ltver##2.} == "$ltver" && {
-# echo "You must have libtool version >= 2.x.x, but you have $ltver."
-# DIE=1
-#}
+ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
+test ${ltver##2.} == "$ltver" && {
+ echo "You must have libtool version >= 2.x.x, but you have $ltver."
+ DIE=1
+}
if test "$DIE" -eq 1; then
exit 1
@@ -71,12 +71,12 @@ echo " aclocal: $(aclocal --version | head -1)"
echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"
echo " automake: $(automake --version | head -1)"
-#echo " libtoolize: $(libtoolize --version | head -1)"
+echo " libtoolize: $(libtoolize --version | head -1)"
set -e
po/update-potfiles
autopoint --force $AP_OPTS
-#libtoolize --force --copy $LT_OPTS
+libtoolize --force $LT_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS
autoheader $AH_OPTS